@model Product

<div class="card card-outline-primary m-1 p-1">
  <div class="bg-faded p-1">
    <h4>@Model?.Name
      <span class="badge rounded-pill bg-primary text-white" style="float:right">
        <small>@Model?.Price.ToString("c")</small>
      </span>
    </h4>
  </div>
  <form id="@Model?.ProductID" asp-page="/Cart" method="post">
    <input type="hidden" asp-for="ProductID" />
    <input type="hidden" name="returnUrl"
      value="@(ViewContext.HttpContext.Request.Path.ToString() + ViewContext.HttpContext.Request.QueryString.ToString())" />
    <span class="card-text p-1">
      @Model?.Description
      <button type="submit" class="btn btn-success btn-sm pull-right" style="float:right">Add To Cart</button>
    </span>
  </form>
</div>
